Bread::Board::Container(3pm)

NAME
Bread::Board::Container

VERSION
version 0.32

DESCRIPTION

METHODS

add_service
add_sub_container
get_service
get_service_list
get_sub_container
get_sub_container_list
has_service
has_services
has_sub_container
has_sub_containers
name
services
sub_containers
fetch ( $service_name )
resolve ( ?service = $service_name, ?type => $type, ?parameters => { ... } )>
add_type_mapping_for ( $type_name, $service )
get_type_mapping_for ( $type_name )
has_type_mapping_for ( $type_name )

BUGS
All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR
Stevan Little <stevan@iinteractive.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2014 by Infinity Interactive.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.